- Qt 6.8
- Qt Network
- C++ Classes
- QNetworkInformation
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QNetworkInformation

The following members of class QNetworkInformation are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(deprecated in 6.4)` bool | load(QNetworkInformation::Features features)
`(deprecated in 6.4)` bool | load(QStringView backend)

## Member Function Documentation

### `[static, deprecated in 6.4]` bool QNetworkInformation::load(QNetworkInformation::Features features)

This function is deprecated since 6.4. We strongly advise against using it in new code.

Use loadBackendByFeatures() instead.

See also loadBackendByName(), loadDefaultBackend(), and loadBackendByFeatures().

### `[static, deprecated in 6.4]` bool QNetworkInformation::load(QStringView backend)

This function is deprecated since 6.4. We strongly advise against using it in new code.

Use loadBackendByName() instead.

See also loadBackendByName(), loadDefaultBackend(), and loadBackendByFeatures().